<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/webservices/sb/4.0/SystemService" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/webservices/sb/4.0/SystemService" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/webservices/sb/4.0/SystemService">
      <s:element name="GetVersionSiteBuilder">
        <s:complexType/>
      </s:element>
      <s:element name="GetVersionSiteBuilderResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetVersionSiteBuilderResult" type="tns:VersionValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="VersionValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="Major" type="s:int"/>
          <s:element minOccurs="1" maxOccurs="1" name="Minor" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Build" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Revision" type="s:int"/>
        </s:sequence>
      </s:complexType>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="SsoSessionId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SsoId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="GetVersionApi">
        <s:complexType/>
      </s:element>
      <s:element name="GetVersionApiResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetVersionApiResult" type="tns:VersionValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPlatform">
        <s:complexType/>
      </s:element>
      <s:element name="GetPlatformResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPlatformResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAdvertisingSettings">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="languageCode" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAdvertisingSettingsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAdvertisingSettingsResult" type="tns:AdvertisingSettingsValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="AdvertisingSettingsValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="HostingBannerMsg" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="PublishStepMsg" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetAdvertisingSettingsBySite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="languageCode" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetAdvertisingSettingsBySiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetAdvertisingSettingsBySiteResult" type="tns:AdvertisingSettingsValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAdvertisingSettings">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ownerId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="languageCode" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="settings" type="tns:AdvertisingSettingsValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetAdvertisingSettingsResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetModules">
        <s:complexType/>
      </s:element>
      <s:element name="GetModulesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetModulesResult" type="tns:TotalListOfModuleValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfModuleValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfModuleValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfModuleValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="ModuleValue" nillable="true" type="tns:ModuleValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ModuleValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="ModuleType" type="tns:ModuleType"/>
          <s:element minOccurs="0" maxOccurs="1" name="Version" type="tns:VersionValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="Description" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:simpleType name="ModuleType">
        <s:restriction base="s:string">
          <s:enumeration value="Page"/>
          <s:enumeration value="Block"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="GetTemplates">
        <s:complexType/>
      </s:element>
      <s:element name="GetTemplatesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplatesResult" type="tns:TotalListOfTemplateValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfTemplateValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfTemplateValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfTemplateValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="TemplateValue" nillable="true" type="tns:TemplateValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="TemplateValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Category" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="DefaultSchema" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Schemas" type="tns:ArrayOfSchemaValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfSchemaValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SchemaValue" nillable="true" type="tns:SchemaValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="SchemaValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Caption" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="UrlImage1" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="UrlImage2" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="UrlImage3" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetPagesets">
        <s:complexType/>
      </s:element>
      <s:element name="GetPagesetsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPagesetsResult" type="tns:TotalListOfPagesetValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfPagesetValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfPagesetValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfPagesetValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="PagesetValue" nillable="true" type="tns:PagesetValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="PagesetValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Title" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="FindSiteFamilies">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="pos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="select" type="tns:SelectType"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortType" type="tns:SiteFamilyFields"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="0" maxOccurs="1" name="language" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SelectType">
        <s:restriction base="s:string">
          <s:enumeration value="All"/>
          <s:enumeration value="MyOnly"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SiteFamilyFields">
        <s:restriction base="s:string">
          <s:enumeration value="Code"/>
          <s:enumeration value="DefaultPageset"/>
          <s:enumeration value="DefaultTemplateCategory"/>
          <s:enumeration value="Title"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="FindSiteFamiliesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindSiteFamiliesResult" type="tns:TotalListOfSiteFamilyValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfSiteFamilyValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfSiteFamilyValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfSiteFamilyValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SiteFamilyValue" nillable="true" type="tns:SiteFamilyValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="SiteFamilyValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="DefaultPageset" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="DefaultTemplateCategory" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsBuiltIn" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="Presentation" type="tns:SiteFamilyPresentationValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="SiteFamilyPresentationValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Title" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Description" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="LanguageId" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetSkins">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="activeOnly" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSkinsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSkinsResult" type="tns:TotalListOfThemeValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfThemeValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfThemeValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfThemeValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="ThemeValue" nillable="true" type="tns:ThemeValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ThemeValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="ThemeId" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="SetSkinStatus">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ids" type="tns:ArrayOfString"/>
            <s:element minOccurs="1" maxOccurs="1" name="status" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="SetSkinStatusResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetLanguages">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="activeOnly" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetLanguagesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetLanguagesResult" type="tns:TotalListOfLanguageValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfLanguageValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfLanguageValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfLanguageValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="LanguageValue" nillable="true" type="tns:LanguageValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="LanguageValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="LanguageId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Code" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="Active" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="EnglishName" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="GetSshKey">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="protocol" type="tns:SshProtocol"/>
            <s:element minOccurs="1" maxOccurs="1" name="forceGenerate" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SshProtocol">
        <s:restriction base="s:string">
          <s:enumeration value="SSH"/>
          <s:enumeration value="SSH2"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="GetSshKeyResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSshKeyResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetLicenseInfo">
        <s:complexType/>
      </s:element>
      <s:element name="GetLicenseInfoResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetLicenseInfoResult" type="tns:ArrayOfLicenseProperty"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfLicenseProperty">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="LicenseProperty" type="tns:LicenseProperty"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="LicenseProperty">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Value" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="ImportLicense">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="licence" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ImportLicenseResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ImportLicenseResult" type="tns:ImportLicenseResult"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="ImportLicenseResult">
        <s:restriction base="s:string">
          <s:enumeration value="OK"/>
          <s:enumeration value="UnknownError"/>
          <s:enumeration value="LicenseCorrupted"/>
          <s:enumeration value="LicenseVersionInvalid"/>
          <s:enumeration value="PleskNotFound"/>
          <s:enumeration value="VirtuozzoNotFound"/>
          <s:enumeration value="AccessDenied"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="SetSsoServer">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ssoUrl" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetSsoServerResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SetSsoServerResult" type="tns:SsoRegisterResult"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SsoRegisterResult">
        <s:restriction base="s:string">
          <s:enumeration value="ServerChanged"/>
          <s:enumeration value="Registered"/>
          <s:enumeration value="IncorrectServer"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="GetSsoServer">
        <s:complexType/>
      </s:element>
      <s:element name="GetSsoServerResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSsoServerResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetBaseApplicationUrl">
        <s:complexType/>
      </s:element>
      <s:element name="GetBaseApplicationUrlResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetBaseApplicationUrlResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetBaseApplicationUrl">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="url" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetBaseApplicationUrlResponse">
        <s:complexType/>
      </s:element>
      <s:element name="SetSsoRelay">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="url" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetSsoRelayResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetSsoRelay">
        <s:complexType/>
      </s:element>
      <s:element name="GetSsoRelayResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSsoRelayResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetVersionSiteBuilderSoapIn">
    <wsdl:part name="parameters" element="tns:GetVersionSiteBuilder"/>
  </wsdl:message>
  <wsdl:message name="GetVersionSiteBuilderSoapOut">
    <wsdl:part name="parameters" element="tns:GetVersionSiteBuilderResponse"/>
  </wsdl:message>
  <wsdl:message name="GetVersionSiteBuilderCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetVersionApiSoapIn">
    <wsdl:part name="parameters" element="tns:GetVersionApi"/>
  </wsdl:message>
  <wsdl:message name="GetVersionApiSoapOut">
    <wsdl:part name="parameters" element="tns:GetVersionApiResponse"/>
  </wsdl:message>
  <wsdl:message name="GetVersionApiCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetPlatformSoapIn">
    <wsdl:part name="parameters" element="tns:GetPlatform"/>
  </wsdl:message>
  <wsdl:message name="GetPlatformSoapOut">
    <wsdl:part name="parameters" element="tns:GetPlatformResponse"/>
  </wsdl:message>
  <wsdl:message name="GetPlatformCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsSoapIn">
    <wsdl:part name="parameters" element="tns:GetAdvertisingSettings"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsSoapOut">
    <wsdl:part name="parameters" element="tns:GetAdvertisingSettingsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsBySiteSoapIn">
    <wsdl:part name="parameters" element="tns:GetAdvertisingSettingsBySite"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsBySiteSoapOut">
    <wsdl:part name="parameters" element="tns:GetAdvertisingSettingsBySiteResponse"/>
  </wsdl:message>
  <wsdl:message name="GetAdvertisingSettingsBySiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetAdvertisingSettingsSoapIn">
    <wsdl:part name="parameters" element="tns:SetAdvertisingSettings"/>
  </wsdl:message>
  <wsdl:message name="SetAdvertisingSettingsSoapOut">
    <wsdl:part name="parameters" element="tns:SetAdvertisingSettingsResponse"/>
  </wsdl:message>
  <wsdl:message name="SetAdvertisingSettingsCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetModulesSoapIn">
    <wsdl:part name="parameters" element="tns:GetModules"/>
  </wsdl:message>
  <wsdl:message name="GetModulesSoapOut">
    <wsdl:part name="parameters" element="tns:GetModulesResponse"/>
  </wsdl:message>
  <wsdl:message name="GetModulesCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplates"/>
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplatesResponse"/>
  </wsdl:message>
  <wsdl:message name="GetTemplatesCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetPagesetsSoapIn">
    <wsdl:part name="parameters" element="tns:GetPagesets"/>
  </wsdl:message>
  <wsdl:message name="GetPagesetsSoapOut">
    <wsdl:part name="parameters" element="tns:GetPagesetsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetPagesetsCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindSiteFamiliesSoapIn">
    <wsdl:part name="parameters" element="tns:FindSiteFamilies"/>
  </wsdl:message>
  <wsdl:message name="FindSiteFamiliesSoapOut">
    <wsdl:part name="parameters" element="tns:FindSiteFamiliesResponse"/>
  </wsdl:message>
  <wsdl:message name="FindSiteFamiliesCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSkinsSoapIn">
    <wsdl:part name="parameters" element="tns:GetSkins"/>
  </wsdl:message>
  <wsdl:message name="GetSkinsSoapOut">
    <wsdl:part name="parameters" element="tns:GetSkinsResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSkinsCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetSkinStatusSoapIn">
    <wsdl:part name="parameters" element="tns:SetSkinStatus"/>
  </wsdl:message>
  <wsdl:message name="SetSkinStatusSoapOut">
    <wsdl:part name="parameters" element="tns:SetSkinStatusResponse"/>
  </wsdl:message>
  <wsdl:message name="SetSkinStatusCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetLanguagesSoapIn">
    <wsdl:part name="parameters" element="tns:GetLanguages"/>
  </wsdl:message>
  <wsdl:message name="GetLanguagesSoapOut">
    <wsdl:part name="parameters" element="tns:GetLanguagesResponse"/>
  </wsdl:message>
  <wsdl:message name="GetLanguagesCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSshKeySoapIn">
    <wsdl:part name="parameters" element="tns:GetSshKey"/>
  </wsdl:message>
  <wsdl:message name="GetSshKeySoapOut">
    <wsdl:part name="parameters" element="tns:GetSshKeyResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSshKeyCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetLicenseInfoSoapIn">
    <wsdl:part name="parameters" element="tns:GetLicenseInfo"/>
  </wsdl:message>
  <wsdl:message name="GetLicenseInfoSoapOut">
    <wsdl:part name="parameters" element="tns:GetLicenseInfoResponse"/>
  </wsdl:message>
  <wsdl:message name="GetLicenseInfoCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="ImportLicenseSoapIn">
    <wsdl:part name="parameters" element="tns:ImportLicense"/>
  </wsdl:message>
  <wsdl:message name="ImportLicenseSoapOut">
    <wsdl:part name="parameters" element="tns:ImportLicenseResponse"/>
  </wsdl:message>
  <wsdl:message name="ImportLicenseCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetSsoServerSoapIn">
    <wsdl:part name="parameters" element="tns:SetSsoServer"/>
  </wsdl:message>
  <wsdl:message name="SetSsoServerSoapOut">
    <wsdl:part name="parameters" element="tns:SetSsoServerResponse"/>
  </wsdl:message>
  <wsdl:message name="SetSsoServerCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSsoServerSoapIn">
    <wsdl:part name="parameters" element="tns:GetSsoServer"/>
  </wsdl:message>
  <wsdl:message name="GetSsoServerSoapOut">
    <wsdl:part name="parameters" element="tns:GetSsoServerResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSsoServerCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetBaseApplicationUrlSoapIn">
    <wsdl:part name="parameters" element="tns:GetBaseApplicationUrl"/>
  </wsdl:message>
  <wsdl:message name="GetBaseApplicationUrlSoapOut">
    <wsdl:part name="parameters" element="tns:GetBaseApplicationUrlResponse"/>
  </wsdl:message>
  <wsdl:message name="GetBaseApplicationUrlCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetBaseApplicationUrlSoapIn">
    <wsdl:part name="parameters" element="tns:SetBaseApplicationUrl"/>
  </wsdl:message>
  <wsdl:message name="SetBaseApplicationUrlSoapOut">
    <wsdl:part name="parameters" element="tns:SetBaseApplicationUrlResponse"/>
  </wsdl:message>
  <wsdl:message name="SetBaseApplicationUrlCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetSsoRelaySoapIn">
    <wsdl:part name="parameters" element="tns:SetSsoRelay"/>
  </wsdl:message>
  <wsdl:message name="SetSsoRelaySoapOut">
    <wsdl:part name="parameters" element="tns:SetSsoRelayResponse"/>
  </wsdl:message>
  <wsdl:message name="SetSsoRelayCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSsoRelaySoapIn">
    <wsdl:part name="parameters" element="tns:GetSsoRelay"/>
  </wsdl:message>
  <wsdl:message name="GetSsoRelaySoapOut">
    <wsdl:part name="parameters" element="tns:GetSsoRelayResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSsoRelayCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:portType name="SystemWebServiceSoap">
    <wsdl:operation name="GetVersionSiteBuilder">
      <wsdl:input message="tns:GetVersionSiteBuilderSoapIn"/>
      <wsdl:output message="tns:GetVersionSiteBuilderSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetVersionApi">
      <wsdl:input message="tns:GetVersionApiSoapIn"/>
      <wsdl:output message="tns:GetVersionApiSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetPlatform">
      <wsdl:input message="tns:GetPlatformSoapIn"/>
      <wsdl:output message="tns:GetPlatformSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettings">
      <wsdl:input message="tns:GetAdvertisingSettingsSoapIn"/>
      <wsdl:output message="tns:GetAdvertisingSettingsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettingsBySite">
      <wsdl:input message="tns:GetAdvertisingSettingsBySiteSoapIn"/>
      <wsdl:output message="tns:GetAdvertisingSettingsBySiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetAdvertisingSettings">
      <wsdl:input message="tns:SetAdvertisingSettingsSoapIn"/>
      <wsdl:output message="tns:SetAdvertisingSettingsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetModules">
      <wsdl:input message="tns:GetModulesSoapIn"/>
      <wsdl:output message="tns:GetModulesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <wsdl:input message="tns:GetTemplatesSoapIn"/>
      <wsdl:output message="tns:GetTemplatesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetPagesets">
      <wsdl:input message="tns:GetPagesetsSoapIn"/>
      <wsdl:output message="tns:GetPagesetsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindSiteFamilies">
      <wsdl:input message="tns:FindSiteFamiliesSoapIn"/>
      <wsdl:output message="tns:FindSiteFamiliesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSkins">
      <wsdl:input message="tns:GetSkinsSoapIn"/>
      <wsdl:output message="tns:GetSkinsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetSkinStatus">
      <wsdl:input message="tns:SetSkinStatusSoapIn"/>
      <wsdl:output message="tns:SetSkinStatusSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetLanguages">
      <wsdl:input message="tns:GetLanguagesSoapIn"/>
      <wsdl:output message="tns:GetLanguagesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSshKey">
      <wsdl:input message="tns:GetSshKeySoapIn"/>
      <wsdl:output message="tns:GetSshKeySoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetLicenseInfo">
      <wsdl:input message="tns:GetLicenseInfoSoapIn"/>
      <wsdl:output message="tns:GetLicenseInfoSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="ImportLicense">
      <wsdl:input message="tns:ImportLicenseSoapIn"/>
      <wsdl:output message="tns:ImportLicenseSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetSsoServer">
      <wsdl:input message="tns:SetSsoServerSoapIn"/>
      <wsdl:output message="tns:SetSsoServerSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSsoServer">
      <wsdl:input message="tns:GetSsoServerSoapIn"/>
      <wsdl:output message="tns:GetSsoServerSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetBaseApplicationUrl">
      <wsdl:input message="tns:GetBaseApplicationUrlSoapIn"/>
      <wsdl:output message="tns:GetBaseApplicationUrlSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetBaseApplicationUrl">
      <wsdl:input message="tns:SetBaseApplicationUrlSoapIn"/>
      <wsdl:output message="tns:SetBaseApplicationUrlSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetSsoRelay">
      <wsdl:input message="tns:SetSsoRelaySoapIn"/>
      <wsdl:output message="tns:SetSsoRelaySoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSsoRelay">
      <wsdl:input message="tns:GetSsoRelaySoapIn"/>
      <wsdl:output message="tns:GetSsoRelaySoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="SystemWebServiceSoap" type="tns:SystemWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetVersionSiteBuilder">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetVersionSiteBuilder" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetVersionSiteBuilderCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVersionApi">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetVersionApi" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetVersionApiCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlatform">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetPlatform" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetPlatformCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettings">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetAdvertisingSettings" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAdvertisingSettingsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettingsBySite">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetAdvertisingSettingsBySite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetAdvertisingSettingsBySiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAdvertisingSettings">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetAdvertisingSettings" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetAdvertisingSettingsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModules">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetModules" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetModulesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetTemplates" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetTemplatesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPagesets">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetPagesets" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetPagesetsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindSiteFamilies">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/FindSiteFamilies" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindSiteFamiliesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSkins">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSkins" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSkinsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSkinStatus">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSkinStatus" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetSkinStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetLanguages">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetLanguages" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetLanguagesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSshKey">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSshKey" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSshKeyCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetLicenseInfo">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetLicenseInfo" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetLicenseInfoCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ImportLicense">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/ImportLicense" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:ImportLicenseCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSsoServer">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSsoServer" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetSsoServerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSsoServer">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSsoServer" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSsoServerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBaseApplicationUrl">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetBaseApplicationUrl" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetBaseApplicationUrlCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetBaseApplicationUrl">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetBaseApplicationUrl" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetBaseApplicationUrlCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSsoRelay">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSsoRelay" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetSsoRelayCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSsoRelay">
      <soap:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSsoRelay" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSsoRelayCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="SystemWebServiceSoap12" type="tns:SystemWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetVersionSiteBuilder">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetVersionSiteBuilder" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetVersionSiteBuilderCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVersionApi">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetVersionApi" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetVersionApiCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPlatform">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetPlatform" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetPlatformCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettings">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetAdvertisingSettings" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAdvertisingSettingsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetAdvertisingSettingsBySite">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetAdvertisingSettingsBySite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetAdvertisingSettingsBySiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetAdvertisingSettings">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetAdvertisingSettings" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetAdvertisingSettingsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetModules">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetModules" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetModulesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetTemplates" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetTemplatesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPagesets">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetPagesets" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetPagesetsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindSiteFamilies">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/FindSiteFamilies" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindSiteFamiliesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSkins">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSkins" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSkinsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSkinStatus">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSkinStatus" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetSkinStatusCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetLanguages">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetLanguages" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetLanguagesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSshKey">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSshKey" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSshKeyCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetLicenseInfo">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetLicenseInfo" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetLicenseInfoCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ImportLicense">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/ImportLicense" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:ImportLicenseCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSsoServer">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSsoServer" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetSsoServerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSsoServer">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSsoServer" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSsoServerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBaseApplicationUrl">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetBaseApplicationUrl" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetBaseApplicationUrlCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetBaseApplicationUrl">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetBaseApplicationUrl" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetBaseApplicationUrlCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetSsoRelay">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/SetSsoRelay" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetSsoRelayCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSsoRelay">
      <soap12:operation soapAction="http://swsoft.com/webservices/sb/4.0/SystemService/GetSsoRelay" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSsoRelayCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="SystemWebService">
    <wsdl:port name="SystemWebServiceSoap" binding="tns:SystemWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="SystemWebServiceSoap12" binding="tns:SystemWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
